Page MenuHomePhabricator

CirrusSearch\Test\InterwikiResolverTest::testLoadConfigForCrossLang is failing on all non-CirrusSearch patches
Closed, ResolvedPublicPRODUCTION ERROR

Description

The Gerrit change https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ContentTranslation/+/460895/ fails at "quibble-vendor-mysql-hhvm-docker", with the following message:

12:48:06 Time: 7.56 minutes, Memory: 913.15MB
12:48:06 
12:48:06 There was 1 failure:
12:48:06 
12:48:06 1) CirrusSearch\Test\InterwikiResolverTest::testLoadConfigForCrossLang with data set "enwiki loads frwiki config and fails" (false)
12:48:06 config for frwiki is rescued using a fallback config
12:48:06 Failed asserting that two strings are equal.
12:48:06 --- Expected
12:48:06 +++ Actual
12:48:06 @@ @@
12:48:06 -'test_inheritance'
12:48:06 +'mlr-1024rs'
12:48:06 
12:48:06 /workspace/src/extensions/CirrusSearch/tests/phpunit/InterwikiResolverTest.php:352
12:48:06 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
12:48:06 /workspace/src/maintenance/doMaintenance.php:94
12:48:06 
12:48:06 FAILURES!
12:48:06 Tests: 17819, Assertions: 147625, Failures: 1, Skipped: 31.

See here: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/19123/consoleFull

Event Timeline

Amire80 created this task.Oct 7 2018, 1:00 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptOct 7 2018, 1:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm renamed this task from Content Translation test fails with CirrusSearch\Test\InterwikiResolverTest::testLoadConfigForCrossLang to CirrusSearch\Test\InterwikiResolverTest::testLoadConfigForCrossLang is failing on all non-CirrusSearch patches.Oct 8 2018, 5:34 AM
Legoktm triaged this task as Unbreak Now! priority.
Legoktm removed projects: Jenkins, ContentTranslation.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 8 2018, 5:34 AM
Legoktm added a subscriber: Legoktm.Oct 8 2018, 5:34 AM

This is failing for all extensions that depend upon CirrusSearch, but for some reason, not CirrusSearch itself.

Change 465119 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/CirrusSearch@master] Revert "Improve Intweriki test"

https://gerrit.wikimedia.org/r/465119

Legoktm added subscribers: dcausse, Smalyshev, EBernhardson.

With that revert, tests are still failing:

22:54:50 1) CirrusSearch\Test\InterwikiResolverTest::testLoadConfigForCrossLang with data set "enwiki loads frwiki config and fails" (false)
22:54:50 config for frwiki is not rescued using a fallback config
22:54:50 Failed asserting that false matches expected true.
22:54:50 
22:54:50 /workspace/src/extensions/CirrusSearch/tests/phpunit/InterwikiResolverTest.php:348
22:54:50 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
22:54:50 /workspace/src/maintenance/doMaintenance.php:94

Which was recently introduced in d3358a3b4a3139ccd1fcc3df516553a6f00828c5. It's also unclear to me why this test isn't failing on CirrusSearch patches.

Change 465119 abandoned by Legoktm:
Revert "Improve Intweriki test"

Reason:
Not the right patch to revert.

https://gerrit.wikimedia.org/r/465119

Change 464935 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Make resolver cache injectable

https://gerrit.wikimedia.org/r/464935

If this is blocking other things, and the fix above doesn't work, then we can temporarily disable the test.

Change 464935 merged by DCausse:
[mediawiki/extensions/CirrusSearch@master] Make resolver cache injectable

https://gerrit.wikimedia.org/r/464935

dcausse assigned this task to Smalyshev.Oct 8 2018, 8:44 AM

This is fixed after merging the patch from Stas. As per @EBernhardson investigations it appears to be due to some dirty data left in the cache by the test itself. While this fixed this particular problem I'm not yet sure to fully understand what went wrong here especially why the test suite did pass properly when running CI on CirrusSearch but not on other extensions...

dcausse closed this task as Resolved.Oct 8 2018, 8:45 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM